Runtime

## org.eclipse.gmf.runtime.diagram.core
Class DiagramEditingDomainFactory

    java.lang.Object
      org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl.FactoryImpl
          org.eclipse.emf.workspace.WorkspaceEditingDomainFactory
              org.eclipse.gmf.runtime.emf.core.GMFEditingDomainFactory
                  org.eclipse.gmf.runtime.diagram.core.DiagramEditingDomainFactory

All Implemented Interfaces:
  org.eclipse.emf.transaction.TransactionalEditingDomain.Factory

    public class DiagramEditingDomainFactory

extends GMFEditingDomainFactory

Factory for `TransactionalEditingDomain`s that are properly configured to support a GMF diagram application. This factory should be preferred over the `GMFEditingDomainFactory` because it attaches a listener required to update the notation model after changes to the semantic model. Also, it handles special use cases involving the DiagramEventBroker.

Nested Class Summary
`protected static class` `DiagramEditingDomainFactory.DiagramEditingDomain`

Nested classes/interfaces inherited from class org.eclipse.gmf.runtime.emf.core.GMFEditingDomainFactory
`GMFEditingDomainFactory.TransactionalSyncExecHelper`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.emf.core.GMFEditingDomainFactory
`transactionalSyncExecHelper`

Fields inherited from class org.eclipse.emf.workspace.WorkspaceEditingDomainFactory
`INSTANCE`

Constructor Summary
`DiagramEditingDomainFactory()`

Method Summary
`protected void` `configure(org.eclipse.emf.transaction.TransactionalEditingDomain domain)` Configures the specified editing domain for correct functioning in the GMF environment.
`org.eclipse.emf.transaction.TransactionalEditingDomain` `createEditingDomain()`
`org.eclipse.emf.transaction.TransactionalEditingDomain` `createEditingDomain(IOperationHistory history)`
`org.eclipse.emf.transaction.TransactionalEditingDomain` `createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset)`
`org.eclipse.emf.transaction.TransactionalEditingDomain` `createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset, IOperationHistory history)`
`static org.eclipse.emf.workspace.WorkspaceEditingDomainFactory` `getInstance()` Gets the single shared instance of the GMF diagram editing domain factory.

Methods inherited from class org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl.FactoryImpl
`getEditingDomain, mapResourceSet, unmapResourceSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramEditingDomainFactory

    public DiagramEditingDomainFactory()

Method Detail

### getInstance

    public static org.eclipse.emf.workspace.WorkspaceEditingDomainFactory getInstance()

  Gets the single shared instance of the GMF diagram editing domain factory.

  Returns:
    the editing domain factory

### configure

    protected void configure(org.eclipse.emf.transaction.TransactionalEditingDomain domain)

  Description copied from class: `GMFEditingDomainFactory`
  Configures the specified editing domain for correct functioning in the GMF environment.

  Overrides:
    `configure` in class `GMFEditingDomainFactory`
  Parameters:
    `domain` - the new editing domain

### createEditingDomain

    public org.eclipse.emf.transaction.TransactionalEditingDomain createEditingDomain()

  Specified by:
    `createEditingDomain` in interface `org.eclipse.emf.transaction.TransactionalEditingDomain.Factory`
  Overrides:
    `createEditingDomain` in class `GMFEditingDomainFactory`

### createEditingDomain

    public org.eclipse.emf.transaction.TransactionalEditingDomain createEditingDomain(IOperationHistory history)

  Overrides:
    `createEditingDomain` in class `GMFEditingDomainFactory`

### createEditingDomain

    public org.eclipse.emf.transaction.TransactionalEditingDomain createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset)

  Specified by:
    `createEditingDomain` in interface `org.eclipse.emf.transaction.TransactionalEditingDomain.Factory`
  Overrides:
    `createEditingDomain` in class `GMFEditingDomainFactory`

### createEditingDomain

    public org.eclipse.emf.transaction.TransactionalEditingDomain createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset,
                                                                                      IOperationHistory history)

  Overrides:
    `createEditingDomain` in class `GMFEditingDomainFactory`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.